comp.F {DEDS} | R Documentation

## Computing F-statistic for Differential Expression

### Description

`comp.F` returns a function of one argument with bindings for `L`. This function accepts a microarray data matrix as its single argment, when evaluated, computes F statistics for each row of the matrix.

### Usage

    comp.F(L = NULL)

### Arguments

`L` | A vector of integers corresponding to observation (column) class labels. For k classes, the labels must be integers between 0 and k-1.

### Value

`comp.F` returns a function with bindings for `L`, which calculates and returns of vector of F statistics for each row in the data matrix.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`comp.FC`, `comp.t`

### Examples

    X <- matrix(rnorm(1000,0,0.5), nc=10)
    L <- rep(0:1,c(5,5))

    # genes 1-10 are differentially expressed
    X[1:10,6:10]<-X[1:10,6:10]+1

    # two sample test, unequal variance
    F <- comp.F(L)
    f.X <- F(X)

[Package DEDS version 1.6.0 Index]